﻿using Syncfusion.XForms.DataForm;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace DataFormSampleDemo
{
    public class DataFormBehavior : Behavior<ContentPage>
    {

        SfDataForm dataForm;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            dataForm = bindable.FindByName<SfDataForm>("dataForm");
            dataForm.DataObject = new ContactInfo();
            dataForm.RegisterEditor("Entry", new CustomEntryEditor(dataForm));
           dataForm.RegisterEditor("Description", "Entry");
         
        }
        
    }
    
    public class ContactInfo
    {
        public string Name { get; set; }
        
        public string Address { get; set; }

        public string Description { get; set; }
    }
}
