﻿using Syncfusion.XForms.DataForm;
using Syncfusion.XForms.DataForm.Editors;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace DataFormSampleDemo
{
    public class CustomEntryEditor : DataFormEditor<CustomEntry>
    {
        public CustomEntryEditor(SfDataForm dataForm): base(dataForm)
        {

        }
        protected override CustomEntry OnCreateEditorView(DataFormItem dataFormItem)
        {
            return new CustomEntry();
        }
        protected override void OnInitializeView(DataFormItem dataFormItem, CustomEntry view)
        {
            base.OnInitializeView(dataFormItem, view);
            view.Text = "This is a custom entry";
        }
     
    }

    public class CustomEntry : Entry
    {
        public CustomEntry()
        {
        }
    }
}
